Bug 244146 - Add port number to message when ricci is not started/firewalled on cluster nodes.
Add port number to message when ricci is not started/firewalled on cluster no...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Ryan McCabe
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-14 01:42 EDT by Wade Mealing
Modified: 2009-04-16 18:58 EDT (History)
4 users (show)

See Also:
Fixed In Version: RHSA-2007-0640
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 10:37:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wade Mealing 2007-06-14 01:42:21 EDT
Description of problem:

When creating the cluster nodes in the interface, it would be more user friendly
add a useful errror messages such as "Unable to establish a secure connection to
the ricci agent on node2.subverted.net on port 11111, Perhaps the service is not
started or the firewall is blocking access to the ricci tcp port." 

Version-Release number of selected component (if applicable):
luci-0.8-30.el5

How reproducible:

Every time
Steps to Reproduce:
1. install rhel5, get luci up and running.
2. Visit web interface, add system.. ponder why it cant add keys to remote host
  
Actual results:

User has to go hunting for the service to start or the tcp port to enable.

Expected results:

Commands of service to start, or iptables command to allow the data through to
be show on error message.


Additional info:

This is purely cosmetic, but I'm thinking something simple like this could
reduce the amount of support calls, and make the user experience better.
Comment 1 Ryan McCabe 2007-06-14 14:13:39 EDT
Already fixed in CVS.
Comment 3 RHEL Product and Program Management 2007-06-14 15:24:35 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 errata-xmlrpc 2007-11-07 10:37:58 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0640.html

Note You need to log in before you can comment on or make changes to this bug.